concepts.hpp File Reference

## Variables

template<typename Fun , typename... Args>
concept | ranges::invocable
template<typename Fun , typename... Args>
concept | ranges::defer::invocable = ranges::invocable < Fun , Args... >
template<typename Fun , typename... Args>
concept | ranges::predicate
template<typename Fun , typename... Args>
concept | ranges::defer::predicate = ranges::predicate < Fun , Args... >
template<typename Fun , typename... Args>
concept | ranges::regular_invocable
template<typename Fun , typename... Args>
concept | ranges::defer::regular_invocable
template<typename R , typename T , typename U >
concept | ranges::relation
template<typename R , typename T , typename U >
concept | ranges::defer::relation = ranges::relation < R, T, U >
template<typename R , typename T , typename U >
concept | ranges::strict_weak_order
template<typename R , typename T , typename U >
concept | ranges::defer::strict_weak_order = ranges::strict_weak_order < R, T, U >

## Variable Documentation

## regular_invocable

template<typename Fun , typename... Args>

concept ranges::defer::regular_invocable

Initial value:
=
ranges::regular_invocable < Fun , Args... >